(*----------------------------------------------------------------------------*
 *                                                                            *
 *  Template application - Direct3D9 with Win32 API                           *
 *                                                                            *
 *  This template provides simple Delphi application that renders D3D         *
 *  objects using plain Windows API (without VCL what is usually used in      *
 *  Delphi. Template even allows to move/rotate 'The Teapot' with mouse.      *
 *                                                                            *
 *  Template was written to provide compact starting point then creating      *
 *  Direct3D applications with Delphi (without using VCL library)             *
 *                                                                            *
 *  Copyright (c) 2003-2004 by Alexey Barkovoy                                *
 *  E-Mail: clootie@ixbt.com                                                  *
 *                                                                            *
 *  Modified: 26-Jan-2004                                                     *
 *                                                                            *
 *  Latest version can be downloaded from:                                    *
 *     http://clootie.narod.ru                                                *
 *----------------------------------------------------------------------------*)

{$I DirectX.inc}

program TemplateWinAPI;

{$IFDEF BORLAND}
{$R 'Manifest.res' 'Manifest.rc'}
{$ENDIF}

uses
  Windows,
  CommCtrl,
  CodeUnit in 'CodeUnit.pas',
  Resource in 'Resource.pas';

{$R *.res}

{$IFNDEF BORLAND}
{$R Manifest.res}
{$ENDIF}

//-----------------------------------------------------------------------------
// Name: WinMain()
// Desc: Entry point to the program. Initializes everything, and goes into a
//       message-processing loop. Idle time is used to render the scene.
//-----------------------------------------------------------------------------
begin
{$IFDEF FPC}
  Set8087CW(Get8087CW or $3F); // disable all exceptions

{$ENDIF}
  InitCommonControls;
  with CMyD3DApplication.Create do
  try
    if FAILED(AppCreate(HInstance)) then Exit;
    Run;
  finally
    Free;
  end;
end.

